CVE-2004-1916
CVSS7.5
发布时间 :2004-04-08 00:00:00
修订时间 :2016-10-17 23:02:54
NMC    

[原文]Multiple buffer overflows in LCDProc 0.4.1, and possibly other 0.4.x versions up to 0.4.4, allows remote attackers to execute arbitrary code via (1) a long invalid command to parse_all_client_messages function, or (2) long argv command to test_func_func function.


[CNNVD]LCDproc LCDd多个远程漏洞(CNNVD-200404-005)

        LCDProc 0.4.1和可能其它0.4.x到0.4.4版本存在多个缓冲区溢出漏洞。远程攻击者借助(1)parse_all_client_messages函数的超长无效命令,或(2)
        test_func_func函数的超长argv的命令执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1916
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1916
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-005
(官方数据源) CNNVD

- 其它链接及资源

http://lists.omnipotent.net/pipermail/lcdproc/2004-April/008884.html
(VENDOR_ADVISORY)  CONFIRM  http://lists.omnipotent.net/pipermail/lcdproc/2004-April/008884.html
http://marc.info/?l=bugtraq&m=108146376315229&w=2
(UNKNOWN)  BUGTRAQ  20040408 PSR - #2004-002 Remote - LCDProc
http://security.gentoo.org/glsa/glsa-200404-19.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200404-19
http://www.securityfocus.com/bid/10085
(VENDOR_ADVISORY)  BID  10085
http://xforce.iss.net/xforce/xfdb/15814
(VENDOR_ADVISORY)  XF  lcdproc-testfuncfunc-bo(15814)

- 漏洞信息

LCDproc LCDd多个远程漏洞
高危 缓冲区溢出
2004-04-08 00:00:00 2005-10-20 00:00:00
远程  
        LCDProc 0.4.1和可能其它0.4.x到0.4.4版本存在多个缓冲区溢出漏洞。远程攻击者借助(1)parse_all_client_messages函数的超长无效命令,或(2)
        test_func_func函数的超长argv的命令执行任意代码。
        

- 公告与补丁

        NOTE: It has been reported that the previously referenced fix was insufficient to resolve this issue.
        Gentoo has released updates to address this issue. These updates may be applied with the following commands:
        # emerge sync
        # emerge -pv ">=app-misc/lcdproc-0.4.5"
        # emerge ">=app-misc/lcdproc-0.4.5"
        The vendor has released an upgraded version of the software which is reported to deal with this issue completely:
        LCDProc LCDProc 4.4
        
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站